Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047023
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[POS2] POSminoralways2021-06-08 12:442021-09-03 00:57
ReporterdmiguelezView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047023: JIRA 1821 - Cashup. Allow to switch between split/merge coins and notes views while keeping the data

DescriptionAs of now, when the users changes the view between split or merge, the data is not kept.
Since the system has information about what is a coin or a note, the already introduced information must be kept and adapted properly to the new view

From the client:For other restaurants, it's required to improve the cash counting tool. When opening the cash counting (without having clicked on SPlit coin/notes button), all coins/notes are displayed. After validated the counting in the counting tool, total of coins and total of notes are not dispatched into Coin field and Notes field. It's required to fill in those fields after validating the counting tool as this information will be used later in OB Backend to dispatch coins and notes onto separates payment methods.
Steps To ReproduceDo a cash up.
Introduce some information.
Change the view
The introduced information is lost
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0046790 closedAtulOpenbravo JIRA 1821 - Cashup : changes needed in counting tool and split coins/bills 
related to feature request 0047064 newRetail JIRA 2079 - Safebox-Cashup/counting - split by coins/notes not available in BO 

-  Notes
(0131069)
hgbot (developer)
2021-08-11 12:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/656 [^]
(0131072)
AtulOpenbravo (developer)
2021-08-11 12:42

Test Plan

- Do a cash up.
- Enter Counted Amount as x amount
- Click on Split Coins & Bills button
- Realize that Entered Counted Amount is set in the Cash Coins Counted Amount field by default.
(0131281)
AtulOpenbravo (developer)
2021-08-24 08:19

Test Plan

- Login as The White Valley Group Admin role
- Navigate to Currency and select EUR
- In Coins and Notes create following configuration
- Line 10, Amount 0.01, denomination : Coin
- Line 20, Amount 0.10, denomination : Coin
- Line 30, Amount 1.00, denomination : Both
- Line 40, Amount 50.00, denomination : Notes
- Line 50, Amount 100.00, denomination : Notes

- Login into new POS2
- In Initial Count screen realize that expected Amount is 154.10
- Enter Counted Amount for Cash Payment Method as 100.
- Click on Split Coins & Bills button
- Realize that in Split View Coins is set 100, Bills as 0.
- Enter Bills as 50 and click on Merge Coins & Bills button.
- Realize that in Merge View, Counted Amount is set as 150.

- Click on Abort button and re-login in POS2

- In Initial Count screen realize that expected Amount is 154.10
- Enter Counted Amount using Counting Tool as below
- 0.01 Coin Quantity = 300, Amount 3.00
- 0.1 Coin Quantity = 1, Amount 0.10
- 1.0 Coin Quantity = 1, Amount 1.00
- 50.0 Note, Quanity = 1, Amount 50.00
- 100.Note, Quantity = 1, Amount 100.00
- Total Counted = 154.10, Click on OK.
- Realize that Counted is set as 154.10
- Click on Split Coins & Bills button
- Realize that Coins is set as 4.10, Bills is set as 150.00
- Set Focus on Coins field of Cash Payment Method, click on Counting tool.
- Realize that Counting Tool shows below details.
- 0.01 Coin Quantity = 300, Amount 3.00
- 0.1 Coin Quantity = 1, Amount 0.10
- 1.0 Coin Quantity = 1, Amount 1.00
- Total COunted 4.10
- Set below details in counting tool
- 0.01 Coin Quantity = 200, Amount 2.00
- 0.1 Coin Quantity = 11, Amount 1.10
- 1.0 Coin Quantity = 1, Amount 1.00
- Total COunted 4.10, Click on OK.
- Set Focus on Bills field of Cash Payment Method, click on Counting tool.
- Realize that Counting Tool shows below details.
- 50.0 Note, Quanity = 1, Amount 50.00
- 100.Note, Quantity = 1, Amount 100.00
- Total Counted as 150.00
- Set below details in counting tool
- 50.0 Note, Quanity = 3, Amount 150.00
- 100.Note, Quantity = 0, Amount 0.00
- Total Counted as 150.00, Click on OK.
- Realize that Coins is set as 4.10, Bills is set as 150.00
- Click on Merge Coins & Bills button.
- Realize that Counted is set as 154.10
- Set focus on Counted Amount 154.10, click on Counting tool.
- 0.01 Coin Quantity = 200, Amount 2.00
- 0.1 Coin Quantity = 11, Amount 1.10
- 1.0 Coin Quantity = 1, Amount 1.00
- 50.0 Note, Quanity = 3, Amount 150.00
- 100.Note, Quantity = 0, Amount 0.00
- Total Counted = 154.10.
(0131282)
hgbot (developer)
2021-08-24 08:31

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/664 [^]
(0131283)
hgbot (developer)
2021-08-24 08:51

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/656 [^]
(0131523)
hgbot (developer)
2021-09-03 00:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/664 [^]
(0131524)
hgbot (developer)
2021-09-03 00:57

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 61a4bf13916fd214cdd399460c9aece67f98b42d
Author: Atul Gaware <atul.gaware@openbravo.com>
Date: 2021-09-03T00:47:58+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/61a4bf13916fd214cdd399460c9aece67f98b42d [^]

Fixes BUG-0047023: JIRA 1821 - Cashup. Allow to switch between
split/merge coins and notes views while keeping the data

**In Split view set counted Amount as Coins in Merge view in
case counting tool is not used.
**When counting tool is used
-In split view, set counting values for Coins and Notes properly
based on denomination used in Merge View Amount.
-In Merge view, set counting values for Amount properly based
on denomination used in Coins and Notes in Split View.
**Consider Currencies with blank or Both as denominations as Coins

---
M web-jspack/org.openbravo.pos2/src/components/Cashup/CountingToolDialog/CountingToolCash.config.json
M web-jspack/org.openbravo.pos2/src/model/user-interface/__test__/SetSplitMergeCoinsAndNotes.test.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/actions/cashup/SetCountedAmount.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/actions/cashup/SetSplitMergeCoinsAndNotes.js
---

- Issue History
Date Modified Username Field Change
2021-06-08 12:44 dmiguelez New Issue
2021-06-08 12:44 dmiguelez Assigned To => Retail
2021-06-08 12:44 dmiguelez Triggers an Emergency Pack => No
2021-06-08 12:45 dmiguelez Relationship added related to 0046790
2021-06-08 12:45 dmiguelez Status new => acknowledged
2021-06-08 12:48 dmiguelez Summary Cashup. Allow to wtitch between split/merge coins and notes views while keeping the data => Cashup. Allow to switch between split/merge coins and notes views while keeping the data
2021-06-23 15:12 dmitry_mezentsev Relationship added related to 0047064
2021-07-13 12:43 guilleaer Resolution time => 1626818400
2021-07-13 12:43 guilleaer Status acknowledged => scheduled
2021-07-13 12:43 guilleaer Assigned To Retail => AtulOpenbravo
2021-07-13 12:44 guilleaer Summary Cashup. Allow to switch between split/merge coins and notes views while keeping the data => JIRA 1821 - Cashup. Allow to switch between split/merge coins and notes views while keeping the data
2021-08-11 12:26 hgbot Note Added: 0131069
2021-08-11 12:42 AtulOpenbravo Note Added: 0131072
2021-08-24 08:19 AtulOpenbravo Note Added: 0131281
2021-08-24 08:31 hgbot Note Added: 0131282
2021-08-24 08:51 hgbot Note Added: 0131283
2021-09-03 00:57 hgbot Resolution open => fixed
2021-09-03 00:57 hgbot Status scheduled => closed
2021-09-03 00:57 hgbot Note Added: 0131523
2021-09-03 00:57 hgbot Note Added: 0131524


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker